Get device events
curl --request GET \
--url https://api.getprimo.com/devices/{deviceId}/events \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getprimo.com/devices/{deviceId}/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getprimo.com/devices/{deviceId}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"name": "<string>",
"deviceId": "<string>",
"companyId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"isAsync": true,
"initiatorId": "<string>",
"initiatorName": "<string>",
"status": "<string>",
"properties": {},
"scheduledDate": "2023-11-07T05:31:56Z"
}
]
}Devices
Get device events
Return the list of lifecycle events recorded by Primo for the given device (lock, wipe, reboot, disenroll, etc.) in reverse chronological order. For the MDM activity feed reported by the MDM layer, use getDeviceActivities; for raw MDM protocol commands and their delivery status, use getDeviceCommands.
GET
/
devices
/
{deviceId}
/
events
Get device events
Was this page helpful?
⌘I